<div role="group" aria-label="Navigation">
  <button
    *ngIf="storyline.mode === 'progressive'"
    type="button"
    class="btn btn-success"
    [disabled]="!storyline.isFinishable"
    (click)="storyline.finish()"
  >
    <i class="fas fa-check fa-fw me-2"></i>Complete
  </button>
  <button
    *ngIf="storyline.mode !== 'progressive'"
    type="button"
    class="btn"
    [ngClass]="storyline.isAtFinish ? 'btn-success' : 'btn-primary'"
    [disabled]="storyline.isFailed || (storyline.isAtFinish && !storyline.isFinishable)"
    (click)="storyline.stepForward()"
  >
    <i class="fas fa-fw me-2" [ngClass]="storyline.isAtFinish ? 'fa-check' : 'fa-chevron-right'"></i
    >{{ storyline.isAtFinish ? "Complete" : "Next" }}
  </button>
  <button
    *ngIf="storyline.mode !== 'progressive' && !storyline.isAtStart"
    type="button"
    class="btn btn-light ms-2"
    [disabled]="storyline.isAtStart"
    (click)="storyline.stepBackward()"
  >
    <i class="fas fa-chevron-left fa-fw me-2"></i>Back
  </button>
</div>
